cURL
curl --request POST \
--url https://webhook.cocoonmail.com/webhook/event/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact": {
"name": "<string>",
"email": "jsmith@example.com",
"whatsapp_number": "<string>"
},
"event": {
"code": "<string>",
"name": "<string>",
"data": {}
}
}
'import requests
url = "https://webhook.cocoonmail.com/webhook/event/send"
payload = {
"contact": {
"name": "<string>",
"email": "jsmith@example.com",
"whatsapp_number": "<string>"
},
"event": {
"code": "<string>",
"name": "<string>",
"data": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact: {name: '<string>', email: 'jsmith@example.com', whatsapp_number: '<string>'},
event: {code: '<string>', name: '<string>', data: {}}
})
};
fetch('https://webhook.cocoonmail.com/webhook/event/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
using RestSharp;
var options = new RestClientOptions("https://webhook.cocoonmail.com/webhook/event/send");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"contact\": {\n \"name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"whatsapp_number\": \"<string>\"\n },\n \"event\": {\n \"code\": \"<string>\",\n \"name\": \"<string>\",\n \"data\": {}\n }\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);using RestSharp;
var options = new RestClientOptions("https://webhook.cocoonmail.com/webhook/event/send");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"contact\": {\n \"name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"whatsapp_number\": \"<string>\"\n },\n \"event\": {\n \"code\": \"<string>\",\n \"name\": \"<string>\",\n \"data\": {}\n }\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);{
"success":true,
"id":"f208364f-0fb2-4518-a55d-7270b557bfe4"
}
{
"message": "Email provided is not valid."
}
{
"detail": "Authentication credentials were not provided."
}
Events
Send event
POST
/
webhook
/
event
/
send
cURL
Send event
Use this endpoint to create a new eventResponse fields
| Property | Description |
|---|---|
| 400 | Bad request |
| 401 | Request authentication |
| 403 | Too many bad requests. Temparory block |
| 406 | Missing accept header. For example : Accept: application/json |
| 429 | Too many requests/ Rate limit exceeded |
| 500 | Internal server error |
{
"success":true,
"id":"f208364f-0fb2-4518-a55d-7270b557bfe4"
}
{
"message": "Email provided is not valid."
}
{
"detail": "Authentication credentials were not provided."
}
⌘I